Public Member Functions | Protected Member Functions | List of all members
STOFFGraphicParser Class Reference

virtual class which defines the ancestor of all graphic/presentation zone parser More...

`#include <STOFFParser.hxx>`

Inheritance diagram for STOFFGraphicParser:

## Public Member Functions
virtual void | parse (librevenge::RVNGDrawingInterface *documentInterface)
| virtual function used to parse the input
virtual void | parse (librevenge::RVNGPresentationInterface *documentInterface)
| virtual function used to parse the input
Public Member Functions inherited from STOFFParser
virtual | ~STOFFParser ()
| virtual destructor
virtual bool | checkHeader (STOFFHeader *header, bool strict=false)=0
| virtual function used to check if the document header is correct (or not)
int | version () const
| returns the works version
STOFFParserStatePtr | getParserState ()
| returns the parser state
STOFFHeader * | getHeader ()
| returns the header
STOFFInputStreamPtr & | getInput ()
| returns the actual input
STOFFPageSpan const & | getPageSpan () const
| returns the actual page dimension
STOFFPageSpan & | getPageSpan ()
| returns the actual page dimension
STOFFGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener
STOFFSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener
STOFFTextListenerPtr & | getTextListener ()
| returns the text listener
libstoff::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document

## Protected Member Functions
| STOFFGraphicParser (STOFFInputStreamPtr &input, STOFFHeader *header)
| constructor (protected)
| STOFFGraphicParser (STOFFParserStatePtr &state)
| constructor using a state
| ~STOFFGraphicParser () override
| destructor
Protected Member Functions inherited from STOFFParser
| STOFFParser (STOFFParserState::Type type, STOFFInputStreamPtr input, STOFFHeader *header)
| constructor (protected)
| STOFFParser (STOFFParserStatePtr &state)
| constructor using a state
void | setVersion (int vers)
| sets the document's version
void | setGraphicListener (STOFFGraphicListenerPtr &listener)
| sets the graphic listener
void | resetGraphicListener ()
| resets the graphic listener
void | setSpreadsheetListener (STOFFSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener
void | resetSpreadsheetListener ()
| resets the spreadsheet listener
void | setTextListener (STOFFTextListenerPtr &listener)
| sets the text listener
void | resetTextListener ()
| resets the text listener
void | setAsciiName (char const *name)
| Debugging: change the default ascii file.
std::string const & | asciiName () const
| return the ascii file name

## Detailed Description

virtual class which defines the ancestor of all graphic/presentation zone parser

## Constructor & Destructor Documentation

## ◆ STOFFGraphicParser() [1/2]

STOFFGraphicParser::STOFFGraphicParser | ( | STOFFInputStreamPtr & | input,
|  | STOFFHeader * | header )
| inline protected

constructor (protected)

## ◆ STOFFGraphicParser() [2/2]

STOFFGraphicParser::STOFFGraphicParser | ( | STOFFParserStatePtr & | state | ) |
| inline explicit protected

constructor using a state

## ◆ ~STOFFGraphicParser()

STOFFGraphicParser::~STOFFGraphicParser | ( |  | ) |
| override protected

destructor

## Member Function Documentation

## ◆ parse() [1/2]

void STOFFGraphicParser::parse | ( | librevenge::RVNGDrawingInterface * | documentInterface | ) |
| virtual

virtual function used to parse the input

Reimplemented in SDAParser, and SDGParser.

## ◆ parse() [2/2]

void STOFFGraphicParser::parse | ( | librevenge::RVNGPresentationInterface * | documentInterface | ) |
| virtual

virtual function used to parse the input

Reimplemented in SDAParser.

The documentation for this class was generated from the following files:

- STOFFParser.hxx
- STOFFParser.cxx